Mailchimp CiviCRM Integration

Development Status
Stable
Active Installs
912
Download

Last updated: 2017-09-20

Works with CiviCRM 4.7 and should work on CiviCRM 5.0 or higher

The new extension builds on the existing work done by the science gallery, adding the ability to keep Mailchimp List and CiviCRM group in sync, keeping the entire process much simpler to setup.